/*
 * rewards 组件的组件路由
 */
import 'package:flutter/cupertino.dart';
import 'package:router/componentRouter/rewards_service.dart';
import 'package:flutter/material.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';

import '../../modules/rewards/rewards_page.dart';

part 'rewards_component_service.g.dart';

@Riverpod(keepAlive: true)
RewardsService rewardsService(Ref ref) {
  return RewardsComponentService();
}

class RewardsComponentService extends RewardsService {
  @override
  void startRewardsPage() {
    RewardsPage.startInstance();
  }

}
